GWT 2.7.0

## com.google.gwt.core.ext.soyc
Interface ClassMember

All Superinterfaces:
  HasDependencies, Member, java.io.Serializable

    public interface ClassMember

extends HasDependencies, Member

Represents a reference type, such as a class or interface, in the compiled output. Methods and fields of the original Java type will have been pruned by the compiler, so the values returned by `getFields()` and `getMethods()` may be incomplete when compared to the original Java type.

Field Summary

Fields inherited from interface com.google.gwt.core.ext.soyc.Member
`SOURCE_NAME_COMPARATOR, TYPE_AND_SOURCE_NAME_COMPARATOR`

Method Summary
`java.util.SortedSet<FieldMember>` | `getFields()` Returns the fields of the ClassMember that have been retained in the compiled output.
`java.util.SortedSet<MethodMember>` | `getMethods()` Returns the methods of the ClassMember that have been retained in the compiled output.
`java.lang.String` | `getPackage()` Returns the Java package from which the ClassMember originated.

Methods inherited from interface com.google.gwt.core.ext.soyc.HasDependencies
`getDependencies`

Methods inherited from interface com.google.gwt.core.ext.soyc.Member
`getSourceName, isClass, isField, isMethod`

Method Detail

### getFields

    java.util.SortedSet<FieldMember> getFields()

  Returns the fields of the ClassMember that have been retained in the compiled output.

### getMethods

    java.util.SortedSet<MethodMember> getMethods()

  Returns the methods of the ClassMember that have been retained in the compiled output.

### getPackage

    java.lang.String getPackage()

  Returns the Java package from which the ClassMember originated.

GWT 2.7.0